## Update zone snippet rules `client.Snippets.Rules.Update(ctx, params) (*RuleUpdateResponse, error)` **put** `/zones/{zone_id}/snippets/snippet_rules` Updates all snippet rules belonging to the zone. ### Parameters - `params RuleUpdateParams` - `ZoneID param.Field[string]` Path param: Use this field to specify the unique ID of the zone. - `Rules param.Field[[]RuleUpdateParamsRule]` Body param: Lists snippet rules. - `ID string` Specify the unique ID of the rule. - `Expression string` Define the expression that determines which traffic matches the rule. - `LastUpdated Time` Specify the timestamp of when the rule was last modified. - `SnippetName string` Identify the snippet. - `Description string` Provide an informative description of the rule. - `Enabled bool` Indicate whether to execute the rule. ### Returns - `type RuleUpdateResponse interface{…}` Contain the response result. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/snippets" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) rule, err := client.Snippets.Rules.Update(context.TODO(), snippets.RuleUpdateParams{ ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"), Rules: cloudflare.F([]snippets.RuleUpdateParamsRule{snippets.RuleUpdateParamsRule{ Expression: cloudflare.F("ip.src eq 1.1.1.1"), SnippetName: cloudflare.F("my_snippet"), }}), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", rule) } ``` #### Response ```json { "errors": [ { "message": "something bad happened", "code": 10000 } ], "messages": [ { "message": "something bad happened", "code": 10000 } ], "result": {}, "success": true } ```